<html>

<%
    ' Sample page for DB testing and scripting version before launching the application.
    ' ONLINE VERSION

    ' HOW TO USE
    ' Place this file in a subdirectory of your CD/distributive and make it start page
    ' for your application. This will mean the start page for ALPFrame or shortcut in
    ' the start menu if installation is used. Also read the notes below and choose what
    ' to do with the MSDAC redistributtables. IF your application is on a CD then probably
    ' the best choice will be to put them there and allow user to install them.
    ' If your application is downloadable then the size is important and the best choice
    ' will be providing a page on your site with instructions and download link for the
    ' MSDAC components.


    ' Change these constants if you don't want to spend time to change the page
    ' =========================================================================
    
    ' URL of your application - usually it will be full virtual path to it on the CD
    Public Const cAppURL        = "/frame.asp"
    
    
    ' To disable data base components test set it to True (if your app do not use DB)
    Public Const cNoDB          = False
    
    ' DB Update Keyword - parameter passed to the online updates list
    Public Const cDBUpdateName = "MSDAC"
    
    ' If the above value is True then place here a string describing the MSDAC version
    ' distributted with your applciation.
    ' This should be useful for the administrators and advanced users.
    Public Const cDBVer                 = "2.5"
    
    ' Test for the run-time library  - If FileSystemObject exists it is here if not must be updated
    Public Const cFSOTest               = False
    
    ' Required script engines version. If you are not using features from the later versions set it to 3.0
    ' Version 3.0 is available with IE 4 thus update will not be required.
    Public Const cSCRVersionMajor       = 3
    Public Const cSCRVersionMinor       = 0
    
    ' Script Update URL - depending on the fileLink if you want to provide 
    ' redistributtables directly place here relative path to the scripting update exe
    ' Or if you want to redirect the user to a page or Internet URL place it here
    Public Const cSCRUpdateName         = "SCRIPT"
    
    ' URL of the updates page. It processes an array of parameters named "update"
    ' Their values are used to determine which links to show to the user
    Public Const    cUpdateURL          = "http://www.newobjects.com/update.asp?"

    Dim g_db,g_rst
    Function CreateDB()
        CreateDB = False
        On Error Resume Next
        Set g_db = Server.CreateObject("ADODB.Connection")
        If Err.Number = 0 Then CreateDB = True
    End Function
    Function OpenDB()
        OpenDB = False
        On Error Resume Next
        g_db.Open "Driver={Microsoft Access Driver (*.mdb)};DBQ=" + Server.MapPath("dict97.mdb") + ";"
        If Err.Number = 0 Then OpenDB = True
    End Function
    Function DoQuery()
        DoQuery = False
        On Error Resume Next
        Set g_rst = g_db.Execute("SELECT * FROM Words WHERE TheWord = 'yes'")
        If Err.Number = 0 Then DoQuery = True
    End Function
    Function TestFSO()
        TestFSO = False
        On Error Resume Next
        Dim fso
        Set fso = Server.CreateObject("Scripting.FileSystemObject")
        If Err.Number = 0 Then TestFSO = True
    End Function
    Function TestVer()
        TestVer = True
        On Error Resume Next
        If ScriptEngineMajorVersion < cSCRVersionMajor Then
            TestVer = False
        Else
            If ScriptEngineMinorVersion < cSCRVersionMinor Then TestVer = False
        End If
    End Function
    
    Function SuccessFail(b)
        If b Then SuccessFail = "OK" Else SuccessFail = "FAILED"
    End Function
    
    Dim g_bCreate,g_bOpen,g_bQuery, g_bSCRVer, g_bFSO, g_bScripting, g_bDB
    g_bCreate = False
    g_bOpen = False
    g_bQuery = False
    g_bScripting = False
    Dim g_Success
    
    If cNoDB Then
        g_Success = True
    Else
        g_Success = False
        g_bCreate = CreateDB
        If g_bCreate Then
            g_bOpen = OpenDB
            If g_bOpen Then
                g_bQuery = DoQuery
                If g_bQuery Then
                    g_Success = True
                End If
            End If
        End If
        g_bDB = g_bOpen And g_bCreate And g_bQuery
    End If
    
    g_bSCRVer = TestVer
    If Not g_bSCRVer Then
        g_bScripting = False
        g_Success = False
    Else
        g_bScripting = True
    End If

    If cFSOTest Then
        g_bFSO = TestFSO
        If Not g_bFSO Then 
            g_Success = False
            g_bScripting = False
        End If
    End If
    
    
%>
</head>
<%
    If g_Success Then
%>

    <head>
    <meta http-equiv="Content-Language" content="en-us">
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
    <META HTTP-EQUIV="REFRESH" CONTENT="0;URL=<%= cAppURL %>">
    <title>Compatibility test page</title>
    
    <body bgcolor="#FFFFFF" text="#000000" link="#0000FF" vlink="#800080" alink="#FF0000" topmargin="0" leftmargin="0">
    
    <p align="center">&nbsp;</p>
    <p align="center"><b>Compatibility test page</b></p>
    <p align="center">Success!</p>
    <p align="center">Redirecting to the <A href="<%= cAppURL %>">applciation</A></p>
    
    </body>
    
    </html>
<%
    Else
        Dim strURL
        strURL = cUpdateURL
        If Not g_bDB Then strURL = strURL & "update=" & cDBUpdateName & "&"
        If Not g_bScripting Then strURL = strURL & "update=" & cSCRUpdateName & "&"
%>    
    <head>
    <meta http-equiv="Content-Language" content="en-us">
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
    <title>Compatibility test page</title>
    
    <body bgcolor="#FFFFFF" text="#000000" link="#0000FF" vlink="#800080" alink="#FF0000" topmargin="0" leftmargin="0">
    
    <p align="center">&nbsp;</p>
    <p align="center"><b>Compatibility test page</b></p>
    <% If Not cNoDB Then %>
        <p align="center">Create ADO Connection ... <%= SuccessFail(g_bCreate) %></p>
        <p align="center">Open DB ... <%= SuccessFail(g_bOpen) %></p>
        <p align="center">Do a query ... <%= SuccessFail(g_bQuery) %></p>
    <% End If %>
    
    
    <p align="center">Scripting version (<%= cSCRVersionMajor %>.<%= cSCRVersionMinor %>) ... <%= SuccessFail(g_bSCRVer) %></p>
    <% If cFSOTest Then %>
        <p align="center">Runtime classes ... <%= SuccessFail(g_bFSO) %></p>
    <% End If %>
    
    <p align="center">
        <FONT COLOR="#800000"><B>
            There is a problem with some required components or their version on your machine.
        </B></FONT><BR>    
        <B><A HREF="<%= strURL %>">Click this link</A></B> to go to the update page on the newObjects WEB site. Follow the instructions on it.
    </p>
    
    </body>
    
    </html>

<%
    End If
%>

